Video Screencast Help
Symantec Appoints Michael A. Brown CEO. Learn more.

How to upgrade from V9? Maintenance expires in May 2011

Created: 23 Mar 2011 | 1 comment

I've been waiting to upgrade my V9 of PGP WDE for Mac, but I want to do it before my maintenance runs out. I can't locate a link on the website that will help, and the phone support is apparently for "business" customers. Can anyone point me in the correct direction? Thanks!

Comments 1 CommentJump to latest comment

Tom Mc's picture

Customer Care should be able to help:

https://customercare.symantec.com/app/ask

International: 407-357-7600
United States & Canada: +1 800 342 0652 or 407 357 7600
United Kingdom: 44 (0) 870 606 6000
France: 33 (0) 155 69 50 70
Germany: 49 (0) 69 95 08 62 93

When you consider your issue resolved, please click Mark As Solution on the most helpful response.

Search the Knowledge Base &